Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 652381 - The "Show Votes" page is completely broken
: The "Show Votes" page is completely broken
: regression
Product: Bugzilla
Classification: Server Software
Component: User Interface (show other bugs)
: 4.0
: All All
: -- major with 1 vote (vote)
: Bugzilla 4.0
Assigned To: Frédéric Buclin
: default-qa
Depends on: bz-plugin-vote
Blocks: bmo-regressions
  Show dependency treegraph
Reported: 2011-04-23 19:09 PDT by Rich Gray (:rbgray)
Modified: 2011-04-25 09:10 PDT (History)
8 users (show)
LpSolit: approval+
LpSolit: approval4.0+
LpSolit: blocking4.0.1+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

strikethrough on resolved bug (108.11 KB, image/png)
2011-04-23 19:09 PDT, Rich Gray (:rbgray)
no flags Details
patch, v1 (897 bytes, patch)
2011-04-24 04:49 PDT, Frédéric Buclin
mkanat: review+
Details | Diff | Splinter Review

Description Rich Gray (:rbgray) 2011-04-23 19:09:24 PDT
Created attachment 527976 [details]
strikethrough on resolved bug

Visiting the Show Votes page for a resolved bug displays a page with strikethrough on most of the text.  This seems to be a regression from previous Bugzilla behavior.

Running: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0pre) Gecko/20110408 Firefox/4.0pre SeaMonkey/2.1b3
Comment 1 Ed Morley [:emorley] 2011-04-23 19:18:21 PDT
The page generated for id=voting/bug.html has:
> <span class="bz_closed"><a href="show_bug.cgi?id=652351"...

before the DOCTYPE; with no closing span tag; which is presumably why the strikethrough goes crazy.
Comment 2 Frédéric Buclin 2011-04-24 03:45:05 PDT
Things are even worse in Bugzilla 4.1.1. We broke it upstream.
Comment 3 Frédéric Buclin 2011-04-24 04:49:34 PDT
Created attachment 527997 [details] [diff] [review]
patch, v1

You cannot pass "FILTER ..." within [% PROCESS global/header.html.tmpl %]. You have to do it in two steps. I also added the bug summary to the page header, to make things easier to discover (this way, you don't need to hover the bug ID to discover what the bug is about).
Comment 4 Max Kanat-Alexander 2011-04-24 13:07:54 PDT
Comment on attachment 527997 [details] [diff] [review]
patch, v1

Review of attachment 527997 [details] [diff] [review]:

Looks good to me.
Comment 5 Frédéric Buclin 2011-04-24 16:14:35 PDT
Committing to: bzr+ssh://
modified extensions/Voting/template/en/default/pages/voting/bug.html.tmpl
Committed revision 7783.

Committing to: bzr+ssh://
modified extensions/Voting/template/en/default/pages/voting/bug.html.tmpl
Committed revision 7574.
Comment 6 Dave Miller [:justdave] ( 2011-04-25 07:01:28 PDT
This has been merged and pushed to production on bmo.
Comment 7 Tony Mechelynck [:tonymec] 2011-04-25 09:10:06 PDT
VERIFIED on bmo production. The massive strikethrough has disappeared in the "Show Votes" pages for all resolved bugs that I checked.

Note You need to log in before you can comment on or make changes to this bug.